Great plugin. very intuitive. shame that in this Chinese
By elcorto at 2009-05-20
web > http://www.sketchupbbs.com/thread-24402-1-1.html
Great plugin. very intuitive. shame that in this Chinese
By elcorto at 2009-05-20
web > http://www.sketchupbbs.com/thread-24402-1-1.html
It would be interesting to control each axis (x, y, z) individually.
Or all axes at once
sorry for my English
Someone can fix it to go?
Thanks Jim. How did you work?
I use windows xp and sketchup7. Someone can fix it to go?
Sorry for my English. is quite basic
someone can correct?
Please can someone check this plugin.
It seems very interesting. But I can not get work
http://akitenh.dip.jp/blog/2009/05/post_114.html
How can I put the two codes in a single dialog box?
And HOW DO PARAMETER?
choose=[ "Frente 1", "Frente 2" ]
enums=[choose.join("|")]
prompts=[ "TIPO", "Ancho", "Alto", "Espesor"]
values=[@choose, 600.mm, 709.mm, 19.mm]
results=inputbox prompts, values, enums, "Parametros del frente"
return if not results
@choose, $a, $b, $c=results
###########Frente 1
pz=[]
pz[0]=[0,0,0]
pz[1]=[100.mm,0,0]
pz[2]=[100.mm,-c,0]
pz[3]=[0,-c,0]
edges = entities.add_curve([0, 560.mm, 0],[a,560.mm,0],[a,560.mm,b],[0, 560.mm, b],[0, 560.mm, 0])
facez = entities.add_face pz
facez.followme(edges)
###########Frente 2
ancho = 600.mm
alto = 709.mm
n = 24
r = 19.mm
edges = entities.add_edges([0, 0, 0],[ancho/2,0, 0],[ancho,0,0],[ancho, 0, alto],[0, 0, alto],[0, 0, 0],[ancho/2, 0, 0])
arc = entities.add_arc([0,ancho/2,0], [0, 0, 1], X_AXIS, r, 0.degrees, 180.degrees, n)
arc << entities.add_line(arc[arc.length-1].end, arc[0].start)
base = entities.add_face(arc)
base.followme(edges)
Muchas gracias.
model = Sketchup.active_model
entities = model.active_entities
pz=[]
pz[0]=[0,-100.mm,0]
pz[1]=[100.mm,-100.mm,0]
pz[2]=[100.mm,-81.mm,0]
pz[3]=[0,-81.mm,0]
edges = entities.add_edges([0, 560.mm, 0],[600.mm,560.mm,0],[600.mm,560.mm,720.mm],[0, 560.mm, 720.mm],[0, 560.mm, 0])
facez = entities.add_face pz
facez.followme(edges)
By elcorto at 2009-04-21
entities = model.active_entities
ancho = 600.mm
alto = 720.mm
n = 24
r = 100.mm
edges = entities.add_edges([0, 0, 0],[ancho/2,0, 0],[ancho,0,0],[ancho, 0, alto],[0, 0, alto],[0, 0, 0],[ancho/2, 0, 0])
circle = entities.add_circle([0,ancho/2,0], X_AXIS, r, n)
base = entities.add_face(circle)
base.followme(edges)
end